Bug 456613 - Please include patch for automatic kdump crashkernel offset detection
Please include patch for automatic kdump crashkernel offset detection
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.2
x86_64 All
low Severity medium
: ---
: ---
Assigned To: Luis Claudio R. Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 18:40 EDT by IBM Bug Proxy
Modified: 2009-06-29 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 13:49:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 46663 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-07-24 18:40:35 EDT
=Comment: #0=================================================
JOSHUA A. TRIPLETT <josht@us.ibm.com> - 2008-07-22 16:07 EDT
To make kdump work, the main kernel must have memory reserved for the kdump
kernel.  It reserves this memory during the early boot process, based on the
"crashkernel" option in the kernel command line.  This option generally looks
similar to "crashkernel=128M@32M".  The first number specifies the amount of
memory to reserve, and the second number specifies the offset in physical memory
to reserve this at.  However, some values for the offset will cause kdump not to
work on some systems; for instance, some systems fail with
"crashkernel=128M@16M", but work with "crashkernel=128M@32M".  This makes it
difficult to provide a standard kdump configuration for all platforms, and
requires additional documentation to address.

Git commit 32105f7fd8faa7bc3d101dcc3eabc0ae1ac375a7 ("x86: find offset for
crashkernel reservation automatically") in mainline linux-2.6 fixes this
problem.  It allows a crashkernel parameter like "crashkernel=128M", without an
offset, and automatically detects a usable offset.  (This requires a relocatable
kdump kernel, which MRG currently uses.)

This patch appears non-invasive.  Including it would simplify kdump
configuration and documentation.  Please consider including it in future
versions of the MRG kernel, and updating rt-setup-kdump to remove the offset
from the crashkernel parameter.

=Comment: #1=================================================
JOSHUA A. TRIPLETT <josht@us.ibm.com> - 2008-07-24 12:47 EDT
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=32105f7fd8faa7bc3d101dcc3eabc0ae1ac375a7
Comment 1 IBM Bug Proxy 2009-06-29 11:10:39 EDT
------- Comment From sripathik@in.ibm.com 2009-06-29 11:02 EDT-------
Saw this patch in 2.6.29 based MRG kernels. So MRG got this patch automatically. We can close this bug.

------- Comment From sripathik@in.ibm.com 2009-06-29 11:02 EDT-------
To RH: We are closing this bug on IBM side.
Comment 2 Clark Williams 2009-06-29 13:49:43 EDT
closing as well

Note You need to log in before you can comment on or make changes to this bug.